
Installer - Bug #26563

Remove reference of Pulp Max Tasks Per Child in configs

04/08/2019 05:43 PM - Chris Roberts

Status: Closed   

Priority: High   

Assignee: Chris Roberts   

Category: Foreman modules   

Target version:    

Difficulty: easy Fixed in Releases: 1.21.3, 1.22.0

Triaged: No Found in Releases:  

Bugzilla link: 1656340 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

p/pull/363,

https://github.com/theforeman/foreman-i

nstaller/pull/341

  

Description

We are going to need to update the configuration in Satellite 6.5 to remove the PULP_MAX_TASKS_PER_CHILD setting.

I'd recommend we remove the setting entirely from the file so customers don't mistakenly un-comment it thinking it will help their

situation.

This issue serves as a point to remove that setting from puppet-pulp and the other modules that contain it.

This is not being fixed in Pulp 3 so after talking to Mike McCune we should just remove it all together, more info can be found in the

BZ linked to the issue.

Related issues:

Copied from Installer - Bug #26323: pulp celery worker stuck when forking new... Closed

Associated revisions

Revision 23df9495 - 04/09/2019 11:55 AM - Chris Roberts

Fixes #26563 - Remove reference of tasks in config

History

#1 - 04/08/2019 05:43 PM - Chris Roberts

- Copied from Bug #26323: pulp celery worker stuck when forking new thread and reconnecting to mongo, remove max tasks per child added

#2 - 04/08/2019 05:46 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulp/pull/363 added

#3 - 04/10/2019 08:35 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed

#4 - 04/11/2019 04:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/341 added

#5 - 04/18/2019 08:41 AM - Tomer Brisker

- Fixed in Releases 1.21.3, 1.22.0 added
